Subject: Re: [PATCH] Avoid errors from git-rev-parse in gitweb blame

From: Lea Wiemann <[email-masked]>
Date: Tue, 03 Jun 2008 13:42:58 +0200

Rafael Garcia-Suarez wrote:
> git-rev-parse will abort with an error when passed a non-existent
> revision spec, [...]
>
> -		open (my $dd, "-|", git_cmd(), "rev-parse", "$full_rev^")
> +		open (my $dd, "-|", git_cmd(), "rev-parse", '--revs-only', "$full_rev^")

This is no formal objection, but it would be nice if you could at the 
same time add a comment to the code that explains this -- like "do not 
fail [or 'barf on stderr'] if there is no parent revision".  Makes it 
easier to change it later, since "--revs-only" is not particularly 
obvious. :)

-- Lea